Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.facet.core.adapters.instances
Class MetaclassInstancesAdapterWithFacet

    java.lang.Object
      MetaclassInstancesAdapter
          org.eclipse.gmt.modisco.infra.facet.core.adapters.instances.MetaclassInstancesAdapterWithFacet

All Implemented Interfaces:
  FacetContextListener

    public class MetaclassInstancesAdapterWithFacet

extends MetaclassInstancesAdapter
implements FacetContextListener

An adapter that acts as a cache for lists of instances by EClass (extending `MetaclassInstancesAdapter` for supporting `Facet`s). It works by listening to changes in the model and updating the cache accordingly.

It must be created on a `Resource` through `MetaclassInstancesAdapterFactoryWithFacet`, by doing the following:

`MetaclassInstancesAdapterFactoryWithFacet.getInstance().setFacetContext(facetContext);
MetaclassInstances instances = (MetaclassInstances) MetaclassInstancesAdapterFactoryWithFacet.getInstance().adapt(resource, MetaclassInstances.class);`

Nested Class Summary
`static class` | `MetaclassInstancesAdapterWithFacet.RefreshStrategy` How to refresh Facets when a model element is modified

Method Summary
`void` | `facetAdded(Facet facet)`
`void` | `facetsCleared()`
`FacetContext` | `getFacetContext()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### facetAdded

    public void facetAdded(Facet facet)

  Specified by:
    `facetAdded` in interface `FacetContextListener`

### facetsCleared

    public void facetsCleared()

  Specified by:
    `facetsCleared` in interface `FacetContextListener`

### getFacetContext

    public FacetContext getFacetContext()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD